For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
  • Overview
    • Introduction
    • Getting started
  • Employer of Record
    • Overview
    • Hiring & contracts
    • Employment management
    • Amendments & offboarding
    • Worker onboarding
    • Worker self-service
  • Independent Contractor
    • Overview
    • Create & onboard
    • Manage contracts
  • EOR Endpoints
  • EOR Worker Endpoints
  • IC Endpoints
      • POSTCreate an invoice adjustment
      • DELDelete adjustment
      • GETInvoice line item by Id
      • GETInvoice line items by contract
      • GETList invoice adjustments
      • POSTReview a single invoice adjustment
      • PATCHUpdate an invoice adjustment
LogoLogo
SupportDeel Home
IC EndpointsInvoice Adjustments

List invoice adjustments

GET
/invoice-adjustments
GET
/rest/v2/invoice-adjustments
$curl -G https://api.letsdeel.com/rest/v2/invoice-adjustments \
> -H "Authorization: Bearer <token>" \
> -d contract_id=string \
> -d contract_types=ongoing_time_based \
> -d types=milestone \
> -d statuses=approved \
> -d invoice_id=string \
> -d reporter_id=string \
> -d date_from=2022-12-31 \
> -d date_to=2022-12-31 \
> -d limit=20 \
> -d offset=1
1{
2 "data": [
3 {
4 "id": "550e8400-e29b-41d4-a716-446655440000",
5 "type": "bonus",
6 "status": "approved",
7 "contract": {
8 "id": "contract_123",
9 "type": "time_based",
10 "title": "Senior Backend Engineer"
11 },
12 "quantity": 8,
13 "worksheet": {
14 "days": 5,
15 "hours": 40,
16 "weeks": 1,
17 "minutes": 0
18 },
19 "attachment": {
20 "key": "attachments/receipt_123.pdf",
21 "filename": "receipt.pdf"
22 },
23 "created_at": "2025-12-19T10:30:00Z",
24 "description": "Performance bonus for September",
25 "reported_by": {
26 "id": "user_456",
27 "full_name": "John Doe"
28 },
29 "reviewed_by": {
30 "id": "admin_789",
31 "remarks": "Approved after verification",
32 "reviewed_at": "2025-12-19T11:00:00Z",
33 "full_name": "Jane Smith"
34 },
35 "total_amount": "200.00",
36 "currency_code": "USD",
37 "payment_cycle": {
38 "end": "2025-12-31T23:59:59Z",
39 "start": "2025-12-01T00:00:00Z"
40 },
41 "scale": "hourly",
42 "invoice_id": 102938,
43 "custom_scale": "night_shift",
44 "date_submitted": "2025-12-18T09:15:00Z",
45 "hourlyReportPreset": {
46 "id": "990c9b5b-6d41-4917-b032-ac049877df3a",
47 "rate": null,
48 "title": "Preset name"
49 }
50 }
51 ],
52 "page": {
53 "offset": 0,
54 "total_rows": 120,
55 "items_per_page": 20
56 }
57}

Returns invoice adjustments, optionally filtered by contract, adjustment type, status, invoice, reporter, or submission date range. Token scopes: invoice-adjustments:read

Was this page helpful?
Previous

Review a single invoice adjustment

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

contract_idstringOptional
Id of an Deel contract.
contract_typeslist of enums or enumOptional
types of contracts to filter
typeslist of enums or enumOptional
types of invoice adjustments to filter
statuseslist of enums or enumOptional
statuses of invoice adjustment to filter
invoice_idstringOptional
ID of an existing invoice
reporter_idstringOptionalformat: "uuid"
ID of an existing profile
date_fromstringOptionalformat: "date"

To get invoice adjustments submitted on or after given start date (inclusive). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

date_tostringOptionalformat: "date"

To get invoice adjustments submitted before given end date (excludes records submitted on this date). Short date in format ISO-8601 (YYYY-MM-DD). For example: 2022-12-31.

limitstringOptionalformat: "^[1-9][0-9]?$|^100$"

Return a page of results with given number of records; NOTE: technically ALL query parameters are strings or array of strings

offsetstringOptional

Return a page of results after given index of row; NOTE: technically ALL query parameters are strings or array of strings

Response

Successful operation.
datalist of objects
List of invoice adjustments returned for the request.
pageobject
Pagination metadata for the response.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/